package fsl.depict.netcdf;

/**
 * The number formatting rule, encapsulating how a particular
 * Netcdf numerical parameter is to be displayed.
 *
 * @author Christopher Golden
 */
public class NumberFormattingRule extends FormattingRule {


	// Protected Variables.

	/**
	 * Conversion.
	 */
	protected int conversion;


	// Public Constructors

	/**
	 * Construct a standard instance.
	 *
	 * @param id         Identifier of the parameter.
	 * @param placement  Placement around the center
	 *                   point.
	 * @param conversion Conversion to be performed.
	 */
	public NumberFormattingRule(String id, int placement, int conversion) {
		super(id, placement);
		this.conversion = conversion;
	}


	// Public Methods

	/**
	 * Get the conversion.
	 *
	 * @return Conversion.
	 */
	public int getConversion() {
		return conversion;
	}
}
