:: -------------------------------------
:: FXCinstall
::
::   This script performs the following:
::   - Unzips FXC code (fxcCode & fxcExport) 
::   - Sets up FXC environment file
::   - Creates menu file
::   - Updates Hosts.txt with server and ip
::   - Installs maps and localization data
::
:: To create a GTAS download file:
:: 1) Create new zip file with FXCinstall.bat
::    Note: Disable "Full Path" on WinZip
:: 2) Add fxcUnzip.zip, fxcCode.zip, and
::    fxcExportXXX.zip using WinZip "Add"
:: 3) Drag jre1_5_0_09 directory into WinZip
:: 4) Create .exe (self-extracting) file
::    Note: Specify "." for destination directory
::
:: Author: Herb Grote 9/11/07
::--------------------------------------
::
   @echo off

:: Static variables
   set jdk=jre-6u25-windows-i586.exe

:: Set default to desktop
   cd %USERPROFILE%\Desktop

:: Rename zip files to usable/recognizable names
   if exist FXCinstall_A1.zip. (rename FXCinstall_A1.zip UnZip.class.)
   if exist FXCinstall_A2.zip. (rename FXCinstall_A2.zip fxcCode.zip.)


   echo Starting FXC installation



:: Exit if no localization files exist
   if not exist fxcExport*.zip. (goto locerr .)
 
:: Check if "add" parameter was specified
   if not exist c:\fxcHome.bat. (goto endif_2 .)
      if "%1"=="add" echo Add another localization
      if not "%1"=="add" (goto endif_2 .)
         echo Looking for localization files in this directory
         dir/b/s fxcExport*.zip > c:\fxclist.txt.
         call c:\fxcHome.bat
         cd FXC\fsl\windows
         java FXCsetup
         goto menu
   :endif_2
 
:: Load Java development kit 
   if not exist %jdk% (
      echo %jdk% not found 
      echo Stopping installation 
      pause
      exit
    ) else (
      %jdk%
    )

   cd %USERPROFILE%\Desktop

:: Unzip FXC files to c:\ (don't know final destination yet)
   java UnZip fxcCode.zip c:\ 

:: Make a list of available localizations for FXCset.java
:: (either found on CD or local directory)
   dir/b/s fxcExport*.zip > c:\fxclist.txt.
   echo Found the following localization files:
   type c:\fxclist.txt

:: Start installation (user input GUI)
   c:
   cd c:\FXC\fsl\windows
   echo Starting FXC setup
   java FXCsetup

:: Release all links, windows, etc to FXC directory
   cd c:\

:: Move FXC code to desired location (directory)
   call c:\FXCMOVE.bat
   del c:\FXCMOVE.bat

:menu
:: Create the appropriate menu
   call c:\FXCMENU.bat %1
   del c:\FXCMENU.bat

:: Create desktop icon
   call c:\FXCICON.vbs
   del c:\FXCICON.vbs
   goto done

:locerr
:: Error-No localization files found
   echo No FXC localization files found.
   echo Unable to perform installation.
   echo [Download a desired localizations]
   pause
   exit

:done
:: Inform user that FXC has been loaded/updated
   echo Cleaning up unnecessary files
   if exist c:\fxclist.txt. (del c:\fxclist.txt.)
   if exist c:\FXCMOVE.bat. (del c:\FXCMOVE.bat.)
   if exist c:\FXCMENU.bat. (del c:\FXCMENU.bat.)
   if exist c:\FXCICON.vbs. (del c:\FXCICON.vbs.)

   cd %USERPROFILE%\Desktop
   REM if exist UnZip.class. (del UnZip.class.)
   REM if exist fxcCode.zip. (del fxcCode.zip.)
   echo FXC installation complete
   pause
   REM if exist FXCinstall.bat. (del FXCinstall.bat.)
