@echo off

REM THIS SCRIPT IS USED TO START FXC_COLLABORATE FROM AN ICON OR TERMINAL WINDOW
REM
REM Description of parameter fields:
REM
REM -mx128m                         java memory allocation (128Megabyte)
REM -Dfxc.transceiver.hostaddress   ip address of this client
REM -Dfxc.home                      environment variable for top directory path (i.e. preceding fsl/main)
REM -Dfxc.transceiver.receiverport  port number to be used by this client (e.g. 1100) - optional
REM -Dfxc.synch.files            location and name of file used to synchronize client with server

if exist fxcenvirons.bat call fxcenvirons
goto run
echo No fxcenvirons.bat file found
echo Run FXCinstall to create the file
exit 0

:run
cd %FXC_HOME%\fsl\windows

REM Comment and Uncomment the desired configuration.
REM Default uncomment is set to ISB.
REM ------------------------------------------------

REM -------------------------------------------------------
REM ASDAD standard configurations
REM Note: Dev boxes don't require 1126 receiverport defined.
REM       TYPICALLY USE SETTING 2
REM --------------------------------------------------------
REM 1 standard
REM java -Xms256m -Xmx512m -Dfxc.home=%FXC_HOME% -Dfxc.localization=%FXA_LOCAL_SITE% -Dfxc.transceiver.hostaddress=222.22.22.22 -Dfxc.transceiver.receiverport=1126 fsl.main.FXC
REM 2 standard
REM java -Xms256m -Xmx512m -Dfxc.home=%FXC_HOME% -Dfxc.localization=%FXA_LOCAL_SITE% fsl.main.FXC

REM -----------------------------------------------------------------
REM ASDAD NOT-NAT'd (Publicly Visible) BriefER BriefEE configurations
REM BriefER config: ZDC CWSU, ZFW FAA
REM BriefEE config: ZDCA ARTCC or ZFWA TZFW
REM -----------------------------------------------------------------
REM 3 BriefER
REM java -Xms256m -Xmx512m -Dfxc.home=%FXC_HOME% -Dfxc.localization=%FXA_LOCAL_SITE% -Dfxc.procs.remote.dir.write=/export/awips/FXC fsl.main.FXC
REM 4 BriefEE
REM java -Xms256m -Xmx512m -Dfxc.home=%FXC_HOME% -Dfxc.localization=%FXA_LOCAL_SITE% -Dfxc.procs.remote.dir.read=/export/awips/FXC -Dfxc.procs.readonly=true -Dfxc.procs.autoreload=true fsl.main.FXC

REM ----------------------------------------------------------------------------------
REM ASDAD NAT'd (Private) BriefER BriefEE configurations
REM BriefER config: ZDC CWSU, ZFW FAA
REM BriefEE config: ZDCA ARTCC or ZFWA TZFW
REM Note: Use Public IP for hostaddress command line option
REM ----------------------------------------------------------------------------------
REM 5 BriefER
REM java -Xms256m -Xmx512m -Dfxc.home=%FXC_HOME% -Dfxc.localization=%FXA_LOCAL_SITE% -Dfxc.transceiver.hostaddress=222.22.22.22 -Dfxc.transceiver.receiverport=1126 -Dfxc.procs.remote.dir.write=/export/awips/FXC fsl.main.FXC
REM 6 BriefEE
REM java -Xms256m -Xmx512m -Dfxc.home=%FXC_HOME% -Dfxc.localization=%FXA_LOCAL_SITE% -Dfxc.transceiver.hostaddress=222.22.22.22 -Dfxc.transceiver.receiverport=1126 -Dfxc.procs.remote.dir.read=/export/awips/FXC -Dfxc.procs.readonly=true -Dfxc.procs.autoreload=true fsl.main.FXC

REM ---------------------------------
REM ISB configuration
REM ---------------------------------
REM java -Xms256m -Xmx512m -Dfxc.home=%FXC_HOME% -Dfxc.localization=%FXA_LOCAL_SITE% -Dfxc.transceiver.hostaddress=137.75.58.57 -Dfxc.transceiver.receiverport=1126 fsl.main.FXC
java -Xms256m -Xmx512m -Dfxc.home=%FXC_HOME% -Dfxc.localization=%FXA_LOCAL_SITE% fsl.main.FXC


